<?php

require_once (DIR_WS_MODULES . 'payment/MonetaAPI/MonetaWebService.php');

$payment_system = substr($_REQUEST['payment_system'], 10);
require(DIR_WS_LANGUAGES . $_SESSION['language'] . '/modules/payment/payanyway_' . $payment_system . '.php');
require(DIR_WS_LANGUAGES . $_SESSION['language'] . '/modules/payment/payanyway.php');

iconv_set_encoding("output_encoding", CHARSET);
iconv_set_encoding("internal_encoding", CHARSET);
iconv_set_encoding("input_encoding", CHARSET);
$login = iconv(CHARSET, 'UTF-8', MODULE_PAYMENT_PAYANYWAY_LOGIN);
$pass = iconv(CHARSET, 'UTF-8', MODULE_PAYMENT_PAYANYWAY_PASSWORD);

//var_dump(iconv_get_encoding('all')); exit;
	if (MODULE_PAYMENT_PAYANYWAY_SERVER == 'www.payanyway.ru') {
		$service = new MonetaWebService("https://www.moneta.ru/services.wsdl", $login, $pass);
	} else {
		$service = new MonetaWebService("https://demo.moneta.ru/services.wsdl", $login, $pass);
	}

	try {
		// получить данные счета
		$request = new MonetaInvoiceRequest();
		$request->payer = $_REQUEST['paymentSystem_accountId'];
		$request->payee = $_REQUEST['MNT_ID'];
		$request->amount = $_REQUEST['MNT_AMOUNT'];
		$request->clientTransaction = $_REQUEST['MNT_TRANSACTION_ID'];

		if ($payment_system == 'post') {
			$operationInfo = new MonetaOperationInfo();
			$a1 = new MonetaKeyValueAttribute();
			$a1->key = 'mailofrussiaindex';
			$a1->value = iconv(CHARSET, 'UTF-8', $_REQUEST['additionalParameters_mailofrussiaSenderIndex']);
			$operationInfo->addAttribute($a1);
			$a2 = new MonetaKeyValueAttribute();
			$a2->key = 'mailofrussiaaddress';
			$a2->value = iconv(CHARSET, 'UTF-8', $_REQUEST['additionalParameters_mailofrussiaSenderAddress']);
			$operationInfo->addAttribute($a2);
			$a3 = new MonetaKeyValueAttribute();
			$a3->key = 'mailofrussianame';
			$a3->value = iconv(CHARSET, 'UTF-8', $_REQUEST['additionalParameters_mailofrussiaSenderName']);
			$operationInfo->addAttribute($a3);
			$request->operationInfo = $operationInfo;
		}
		elseif ($payment_system == 'euroset')
		{
			$operationInfo = new MonetaOperationInfo();
			$a1 = new MonetaKeyValueAttribute();
			$a1->key = 'rapidamphone';
			$a1->value = $_REQUEST['additionalParameters_rapidaPhone'];
			$operationInfo->addAttribute($a1);
			$request->operationInfo = $operationInfo;
		}
		$response = $service->Invoice($request);
		if ($payment_system == 'euroset')
		{
			$response1 = $service->GetOperationDetailsById($response->transaction);
			foreach ($response1->operation->attribute as $attr)
			{
				if ($attr->key == 'rapidatid')
				{
					$transaction_id = $attr->value;
				}
			}
		}
		else
		{
			$transaction_id = $response->transaction;
		}
		
		$invoice->title = INVOICE_TITLE_CREATED;
		$invoice->text_message = (in_array($payment_system, array('post', 'banktransfer'))) ? INVOICE_CREATED : array(INVOICE_CREATED_1,INVOICE_CREATED_2,INVOICE_TOTAL_AMOUNT);
		
		$invoice->status = $response->status;
		$invoice->transaction = str_pad($transaction_id, 10, "0", STR_PAD_LEFT);
		$invoice->system = $payment_system;
		$invoice->amount = $_REQUEST['MNT_AMOUNT']." ".$_REQUEST['MNT_CURRENCY_CODE'];

//		$breadcrumb->add(NAVBAR_TITLE_1);
//		$breadcrumb->add(NAVBAR_TITLE_2_CHECKOUT_SUCCESS);
	}
	catch (Exception $e) {
//var_dump($e); exit;
		$invoice->title = INVOICE_TITLE_FAILED;
		$invoice->status = 'FAILED';
		$invoice->text_message = iconv('UTF-8', CHARSET, $e->getMessage());
		
//		$breadcrumb->add(NAVBAR_TITLE_1);
//		$breadcrumb->add(NAVBAR_TITLE_2_CHECKOUT_FAIL);
	}

?>	
